org.gjt.sp.jedit.textarea

## Class StructureMatcher.Match

- java.lang.Object
- - org.gjt.sp.jedit.textarea.StructureMatcher.Match

- Enclosing interface:
    StructureMatcher

      public static class StructureMatcher.Match
      extends java.lang.Object

  A structure match, denoted by a start and end position.
  Since:
    jEdit 4.2pre3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `end`
    `int` | `endLine`
    `StructureMatcher` | `matcher`
    `int` | `start`
    `int` | `startLine`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Match()`
    `Match(StructureMatcher matcher)`
    `Match(StructureMatcher matcher, int startLine, int start, int endLine, int end)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### matcher

          public StructureMatcher matcher

    - #### startLine

          public int startLine

    - #### start

          public int start

    - #### endLine

          public int endLine

    - #### end

          public int end

  - ### Constructor Detail

    - #### Match

          public Match()

    - #### Match

          public Match(StructureMatcher matcher)

    - #### Match

          public Match(StructureMatcher matcher,
                       int startLine,
                       int start,
                       int endLine,
                       int end)